<div class="card-body" for="" [ngClass]="{'active':isSelected}" (click)="handleClick($event ,companyId)">
  <div class="row m-0 watchlist-scroll-row">
    <div class="col p-0">
      <div class="card-title">
        <!-- <div class="card-image"> -->
          <img src={{img}} />
        <!-- </div> -->
        <div class="separator" style="height: 100%; width: 14px;"></div>
        <span>{{attachedSymbolWithName ? symbol + " - " : ""}}{{name}}</span>
      </div>
    </div>
    <div class="col-auto p-0"  *ngIf="longPressState">
      <div class="form-check">
        <input class="form-check-input" type="checkbox" [checked]="isSelected">
      </div>
    </div>
    <div class="col-auto p-0 stock-type-value " *ngIf="!longPressState">
      <app-card-price price="{{price}}" currency="$"></app-card-price> 
    </div>
  </div>

  <div class="row m-0">
    <!-- company name -->
    <div class="col p-0">
      <div class="badge-wrapper company-name">
        <a *ngIf="!attachedSymbolWithName" class="badge">{{symbol}}</a>
        <span *ngIf="!isEtfs">{{sector}}</span>
        <a class="badge">{{market_cap_type}}</a>
      </div>
    </div>

    <!-- stats info -->
    <div class="col-auto p-0 " *ngIf="!longPressState">
      <app-card-stats [stats]="stats" [is_positive]="isPositive"></app-card-stats>
    </div>
  </div>
</div>
